PropertySet (Apache Ant API)
Keywords: org.apache.tools.ant.types.PropertySet,PropertySet class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types
Class PropertySet

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.types.DataType
                  |
                  +--org.apache.tools.ant.types.PropertySet

public class PropertySet
extends DataType

A set of properties.

Since:
  Ant 1.6

Nested Class Summary
`static class` | `PropertySet.BuiltinPropertySetName` Used for propertyref's builtin attribute.
`static class` | `PropertySet.PropertyRef`

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`PropertySet()`

Method Summary
`void` | `addPropertyref(PropertySet.PropertyRef ref)`
`void` | `addPropertyset(PropertySet ref)`
`void` | `appendBuiltin(PropertySet.BuiltinPropertySetName b)`
`void` | `appendName(java.lang.String name)`
`void` | `appendPrefix(java.lang.String prefix)`
`void` | `appendRegex(java.lang.String regex)`
`protected void` | `assertNotReference()` Ensures this data type is not a reference.
`Mapper` | `createMapper()`
`boolean` | `getDynamic()`
`Mapper` | `getMapper()`
`java.util.Properties` | `getProperties()`
`protected PropertySet` | `getRef()` Performs the check for circular references and returns the referenced FileList.
`void` | `setDynamic(boolean dynamic)`
`void` | `setMapper(java.lang.String type, java.lang.String from, java.lang.String to)`
`void` | `setNegate(boolean negate)`
`void` | `setRefid(Reference r)` Sets the value of the refid attribute.

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertySet

    public PropertySet()

Method Detail

### appendName

    public void appendName(java.lang.String name)

### appendRegex

    public void appendRegex(java.lang.String regex)

### appendPrefix

    public void appendPrefix(java.lang.String prefix)

### appendBuiltin

    public void appendBuiltin(PropertySet.BuiltinPropertySetName b)

### setMapper

    public void setMapper(java.lang.String type,
                          java.lang.String from,
                          java.lang.String to)

### addPropertyref

    public void addPropertyref(PropertySet.PropertyRef ref)

### addPropertyset

    public void addPropertyset(PropertySet ref)

### createMapper

    public Mapper createMapper()

### setDynamic

    public void setDynamic(boolean dynamic)

### setNegate

    public void setNegate(boolean negate)

### getDynamic

    public boolean getDynamic()

### getMapper

    public Mapper getMapper()

### getProperties

    public java.util.Properties getProperties()

### getRef

    protected PropertySet getRef()

  Performs the check for circular references and returns the referenced FileList.

### setRefid

    public final void setRefid(Reference r)

  Sets the value of the refid attribute.

  Overrides:
    `setRefid` in class `DataType`
  Parameters:
    `r` - the reference this datatype should point to.
  Throws:
    `BuildException` - if another attribute was set, since refid and all other attributes are mutually exclusive.

### assertNotReference

    protected final void assertNotReference()

  Ensures this data type is not a reference.

  Calling this method as the first line of every bean method of this data type (setXyz, addXyz, createXyz) ensure proper handling of the refid attribute.

  Throws:
    `BuildException` - if the refid attribute was already set, since refid and all other attributes are mutually exclusive.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.